# Get current account positions

`GET /v3-node-0/smartaccount/{address}/positions`

Returns all open positions for a specific smart account across all markets

## Authorization



## Parameters

- path: address (string; required). Smart account address

Type: string

## Example · cURL

```bash
curl --request GET 'https://api.storm.tg/v3-node-0/smartaccount/{address}/positions' \
  --header 'Accept: application/json'
```

## Example · JavaScript

```javascript
const response = await fetch("https://api.storm.tg/v3-node-0/smartaccount/{address}/positions", {
  method: "GET",
  headers: {
    "Accept": "application/json"
  },
});
console.log(response.status, await response.text());
```

## Example · Python

```python
import requests

response = requests.request(
    "GET",
    "https://api.storm.tg/v3-node-0/smartaccount/{address}/positions",
    headers={"Accept":"application/json"},
    timeout=30,
)
print(response.status_code, response.text)
```

## Response 200 · Trading.api.PositionResponse

**200** application/json — OK

Type: object[]

[]Schema: Trading.api.PositionResponse

[]Type: object

[]Required fields: none

- []direction (string; optional)

[]direction example: string

[]direction.Type: string

- []market (string; optional)

[]market example: string

[]market.Type: string

- []state (object; optional)

[]state example: {
  "bundle_id": "string",
  "status": "string",
  "value": {
    "direction": 0,
    "discount": 0,
    "fee": 0,
    "last_updated_cumulative_premium": 0,
    "last_updated_timestamp": 0,
    "margin": {},
    "open_notional": {},
    "rebate": 0,
    "size": {}
  }
}

[]state.Schema: Trading.api.PositionStateResponse

[]state.Type: object

[]state.Required fields: none

- []state.bundle_id (string; optional)

[]state.bundle_id example: string

[]state.bundle_id.Type: string

- []state.status (string; optional)

[]state.status example: string

[]state.status.Type: string

- []state.value (object; optional)

[]state.value example: {
  "direction": 0,
  "discount": 0,
  "fee": 0,
  "last_updated_cumulative_premium": 0,
  "last_updated_timestamp": 0,
  "margin": {},
  "open_notional": {},
  "rebate": 0,
  "size": {}
}

[]state.value.Schema: Trading.schemas.PositionState

[]state.value.Type: object

[]state.value.Required fields: none

- []state.value.direction (integer; optional)

[]state.value.direction example: 0

[]state.value.direction.Type: integer

- []state.value.discount (integer; optional)

[]state.value.discount example: 0

[]state.value.discount.Type: integer

- []state.value.fee (integer; optional)

[]state.value.fee example: 0

[]state.value.fee.Type: integer

- []state.value.last_updated_cumulative_premium (integer; optional)

[]state.value.last_updated_cumulative_premium example: 0

[]state.value.last_updated_cumulative_premium.Type: integer

- []state.value.last_updated_timestamp (integer; optional)

[]state.value.last_updated_timestamp example: 0

[]state.value.last_updated_timestamp.Type: integer

- []state.value.margin (object; optional)

[]state.value.margin example: {}

[]state.value.margin.Schema: Trading.github_com_xssnick_tonutils-go_tlb.Coins

[]state.value.margin.Type: object

- []state.value.open_notional (object; optional)

[]state.value.open_notional example: {}

[]state.value.open_notional.Schema: Trading.github_com_xssnick_tonutils-go_tlb.Coins

[]state.value.open_notional.Type: object

- []state.value.rebate (integer; optional)

[]state.value.rebate example: 0

[]state.value.rebate.Type: integer

- []state.value.size (object; optional)

[]state.value.size example: {}

[]state.value.size.Schema: Trading.big.Int

[]state.value.size.Type: object

Example



```json
[
  {
    "direction": "string",
    "market": "string",
    "state": {
      "bundle_id": "string",
      "status": "string",
      "value": {
        "direction": 0,
        "discount": 0,
        "fee": 0,
        "last_updated_cumulative_premium": 0,
        "last_updated_timestamp": 0,
        "margin": {},
        "open_notional": {},
        "rebate": 0,
        "size": {}
      }
    }
  }
]
```

## Response 400 · Trading.api.ErrorResponse

**400** application/json — Bad Request

Schema: Trading.api.ErrorResponse

Type: object

Required fields: none

- code (string; optional)

code example: string

code.Type: string

- error (string; optional)

error example: string

error.Type: string

- externalQueryId (string; optional)

externalQueryId example: string

externalQueryId.Type: string

- msg (string; optional)

msg example: string

msg.Type: string

Example



```json
{
  "code": "string",
  "error": "string",
  "externalQueryId": "string",
  "msg": "string"
}
```

## Response 500 · Trading.api.ErrorResponse

**500** application/json — Internal Server Error

Schema: Trading.api.ErrorResponse

Type: object

Required fields: none

- code (string; optional)

code example: string

code.Type: string

- error (string; optional)

error example: string

error.Type: string

- externalQueryId (string; optional)

externalQueryId example: string

externalQueryId.Type: string

- msg (string; optional)

msg example: string

msg.Type: string

Example



```json
{
  "code": "string",
  "error": "string",
  "externalQueryId": "string",
  "msg": "string"
}
```